
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="text-uppercase"><?php echo e(trans('labels.plans')); ?></h5>
                <?php if(Auth::user()->type == 1): ?>
                    <a href="<?php echo e(URL::to('admin/plans/add')); ?>" class="btn btn-secondary px-2 d-flex">
                        <i class="fa-regular fa-plus mx-1"></i><?php echo e(trans('labels.add')); ?>

                    </a>
                <?php endif; ?>
            </div>
            <div class="row">
                <?php if(count($planlist) > 0): ?>
                    <?php $__currentLoopData = $planlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plandata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-xl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                            <div
                                class="card box-shadow h-100 <?php echo e(Auth::user()->plan_id == $plandata->id ? 'border border-2 border-success' : 'border-0'); ?>">
                                <div class="card-body">
                                    <div class="d-flex justify-content-between align-items-center mb-3">
                                        <h5 class="text-secondary text-capitalize"><?php echo e($plandata->name); ?></h5>
                                        <?php if(Auth::user()->type == '1'): ?>
                                            <a href="<?php echo e(URL::to('admin/plans/edit-' . $plandata->id)); ?>">
                                                <i class="fa-regular fa-pen-to-square pe-2"></i>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                    <div class="my-4">
                                        <h5 class="mb-2"><?php echo e(helper::currency_format($plandata->price)); ?>

                                            <span class="fs-7 text-muted">/
                                                <?php if($plandata->duration == 1): ?>
                                                    <?php echo e(trans('labels.one_month')); ?>

                                                <?php elseif($plandata->duration == 2): ?>
                                                    <?php echo e(trans('labels.three_months')); ?>

                                                <?php elseif($plandata->duration == 3): ?>
                                                    <?php echo e(trans('labels.six_months')); ?>

                                                <?php else: ?>
                                                    <?php echo e(trans('labels.one_year')); ?>

                                                <?php endif; ?>
                                            </span>
                                        </h5>
                                        <small class="text-muted text-center"><?php echo e($plandata->description); ?></small>
                                    </div>
                                    <ul class="pb-5">
                                        <?php $themes = explode(',', $plandata->themes_id); ?>
                                        <li class="mb-3">
                                            <i
                                                class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(count($themes)); ?>

                                            <?php echo e(trans('labels.themes')); ?>

                                        </li>
                                        <?php if($plandata->order_limit >= 0): ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($plandata->order_limit); ?>

                                                <?php echo e(trans('labels.business')); ?>

                                            </li>
                                        <?php else: ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(trans('labels.unlimited_business')); ?>

                                            </li>
                                        <?php endif; ?>
                                        <?php if($plandata->appointment_limit >= 0): ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($plandata->appointment_limit); ?>

                                                <?php echo e(trans('labels.appointments')); ?>

                                            </li>
                                        <?php else: ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(trans('labels.unlimited_appointment_limit')); ?>

                                            </li>
                                        <?php endif; ?>
                                        <?php if($plandata->service_limit >= 0): ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($plandata->service_limit); ?>

                                                <?php echo e(trans('labels.services')); ?>

                                            </li>
                                        <?php else: ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(trans('labels.unlimited_service_limit')); ?>

                                            </li>
                                        <?php endif; ?>
                                        <?php if($plandata->video_limit >= 0): ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($plandata->video_limit); ?>

                                                <?php echo e(trans('labels.promotional_videos')); ?>

                                            </li>
                                        <?php else: ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(trans('labels.unlimited_promotional_video_limit')); ?>

                                            </li>
                                        <?php endif; ?>
                                        <?php if($plandata->testimonial_limit >= 0): ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($plandata->testimonial_limit); ?>

                                                <?php echo e(trans('labels.testimonials')); ?>

                                            </li>
                                        <?php else: ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e(trans('labels.unlimited_testimonial_limit')); ?>

                                            </li>
                                        <?php endif; ?>
                                        <?php if($plandata->features): ?>
                                        <?php $features = explode('|', $plandata->features); ?>
                                        <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $features): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="mb-3">
                                                <i class="fa-regular fa-circle-check text-secondary mx-2"></i><?php echo e($features); ?>

                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </ul>
                                    <?php if(Auth::user()->type == '1'): ?>
                                        <?php if($plandata->is_available == 1): ?>
                                            <a <?php if(env('Environment') == 'sendbox'): ?> onclick="myFunction()" <?php else: ?> onclick="changestatus('<?php echo e($plandata->id); ?>','2','<?php echo e(URL::to('admin/plans/changestatus')); ?>')" <?php endif; ?>
                                                class="btn btn-success available-btn btn-sm"><?php echo e(trans('labels.active')); ?></a>
                                        <?php elseif($plandata->is_available == 2): ?>
                                            <a <?php if(env('Environment') == 'sendbox'): ?> onclick="myFunction()" <?php else: ?> onclick="changestatus('<?php echo e($plandata->id); ?>','1','<?php echo e(URL::to('admin/plans/changestatus')); ?>')" <?php endif; ?>
                                                class="btn btn-danger available-btn btn-sm"><?php echo e(trans('labels.inactive')); ?></a>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <?php if(Auth::user()->plan_id == $plandata->id): ?>
                                            <?php
                                                $now = date('Y-m-d');
                                                if ($plandata->duration == '1') {
                                                    $purchasedate = date('Y-m-d', strtotime(Auth::user()->purchase_date));
                                                    $exdate = date('Y-m-d', strtotime($purchasedate . ' +30 days'));
                                                    if ($purchasedate <= $now && $now <= $exdate) {
                                                        $showbuy = 'yes';
                                                    } else {
                                                        $showbuy = 'no';
                                                    }
                                                }
                                                if ($plandata->duration == '2') {
                                                    $purchasedate = date('Y-m-d', strtotime(Auth::user()->purchase_date));
                                                    $exdate = date('Y-m-d', strtotime($purchasedate . ' +90 days'));
                                                    if ($purchasedate <= $now && $now <= $exdate) {
                                                        $showbuy = 'yes';
                                                    } else {
                                                        $showbuy = 'no';
                                                    }
                                                }
                                                if ($plandata->duration == '3') {
                                                    $purchasedate = date('Y-m-d', strtotime(Auth::user()->purchase_date));
                                                    $exdate = date('Y-m-d', strtotime($purchasedate . ' +180 days'));
                                                    if ($purchasedate <= $now && $now <= $exdate) {
                                                        $showbuy = 'yes';
                                                    } else {
                                                        $showbuy = 'no';
                                                    }
                                                }
                                                if ($plandata->duration == '4') {
                                                    $purchasedate = date('Y-m-d', strtotime(Auth::user()->purchase_date));
                                                    $exdate = date('Y-m-d', strtotime($purchasedate . ' +365 days'));
                                                    if ($purchasedate <= $now && $now <= $exdate) {
                                                        $showbuy = 'yes';
                                                    } else {
                                                        $showbuy = 'no';
                                                    }
                                                }
                                            ?>
                                            <?php if($showbuy == 'no'): ?>
                                                <small
                                                    class="text-primary text-center available-btn"><?php echo e(trans('labels.plan_expired')); ?>

                                                    :
                                                    <span class="text-danger"><?php echo e(helper::date_format($exdate)); ?></span>
                                                </small>
                                            <?php else: ?>
                                                <small
                                                    class="text-primary text-center available-btn"><?php echo e(trans('labels.plan_expires')); ?>

                                                    :
                                                    <span class="text-secondary"><?php echo e(helper::date_format($exdate)); ?></span>
                                                </small>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <?php if($plandata->price > 0): ?>
                                                <a href="<?php echo e(URL::to('admin/plans/selectplan-' . $plandata->id)); ?>"
                                                    class="btn btn-primary available-btn btn-sm"><?php echo e(trans('labels.buy_now')); ?></a>
                                            <?php elseif(Auth::user()->purchase_amount >= $plandata->price): ?>
                                                <small
                                                    class="text-center text-danger available-btn"><?php echo e(trans('labels.already_used')); ?></small>
                                            <?php else: ?>
                                                <a href="<?php echo e(URL::to('admin/plans/selectplan-' . $plandata->id)); ?>"
                                                    class="btn btn-primary available-btn btn-sm"><?php echo e(trans('labels.select')); ?></a>
                                            <?php endif; ?>
                                            </a>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <img src="<?php echo e(helper::image_path('no-data.svg')); ?>" height="500">
                    <h5 class="text-center mb-3"><?php echo e(trans('labels.nodata_found')); ?></h5>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        function changestatus(id, status, url) {
            "use strict";
            const swalWithBootstrapButtons = Swal.mixin({
                customClass: {
                    confirmButton: 'btn btn-success mx-2',
                    cancelButton: 'btn btn-danger mx-2'
                },
                buttonsStyling: false
            })
            swalWithBootstrapButtons.fire({
                title: are_you_sure,
                icon: 'warning',
                confirmButtonText: yes,
                cancelButtonText: no,
                showCancelButton: true,
                reverseButtons: true
            }).then((result) => {
                $('#preloader , #status').show();
                if (result.isConfirmed) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: url,
                        data: {
                            'id': id,
                            'status': status
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response == 1) {
                                location.reload();
                            } else {
                                $('#preloader , #status').hide();
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Oops...',
                                    text: wrong,
                                })
                            }
                        },
                        failure: function(response) {
                            $('#preloader , #status').hide();
                            Swal.fire({
                                icon: 'error',
                                title: 'Oops...',
                                text: wrong,
                            })
                        }
                    });
                }
                $('#preloader , #status').hide();
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/plans/plans.blade.php ENDPATH**/ ?>